WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] New install of 2.2 & javascript (3 posts)

  1. sewpafly
    Member
    Posted 7 years ago #

    There appear to be a couple of javascript issues that I'm having in the administration section of wordpress after installing 2.2 (an upgrade from 2.1.3).

    I used to have the widgets plugin installed, but I removed it and when I try to recreate the sidebar (with drag and drop) it doesn't work.

    From firefox error console:
    Error: $ is not defined
    Source File: http://brent.nef-family.net/blog/wp-admin/widgets.php
    Line: 135

    Error: Sortable is not defined
    Source File: http://brent.nef-family.net/blog/wp-admin/widgets.php
    Line: 289

    Error: Event.observe is not a function
    Source File: http://brent.nef-family.net/blog/wp-admin/widgets.php
    Line: 223

    Additionally the dashboard doesn't have the updated "feeds" that it used to have, and gives the following error:

    Error: Event.observe is not a function
    Source File: http://brent.nef-family.net/blog/wp-admin/index.php
    Line: 20

    I thought that 2.2 was supposed to use jQuery, but I don't see any jQuery javascript file being loaded either.

  2. sewpafly
    Member
    Posted 7 years ago #

    Additionally, the default automattix widget of calendar which I had in the sidebar still shows up on the main site, but is not showing in the admin panel either in the main "drag to" box or in the "drag from" box.

  3. sewpafly
    Member
    Posted 7 years ago #

    Solved. The permissions on the js folder and everything below it was making those files impossible to download. chmod -R 755 * fixed it for me.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.